.pragma library


var map = {
    "40": "#8c009c",
    "38": "#76007f",
    "36": "#65005f",
    "34": "#600043",
    "32": "#67002e",
    "30": "#790023",
    "28": "#92001d",
    "26": "#ac0019",
    "24": "#c30213",
    "22": "#d8070c",
    "20": "#e91109",
    "18": "#f52109",
    "16": "#fb350e",
    "14": "#fe4e17",
    "12": "#ff6721",
    "10": "#ff812c",
    "8": "#ff983a",
    "6": "#ffae47",
    "4": "#ffc056",
    "2": "#ffd067",
    "0": "#ffdc77",
    "-2": "#ffe788",
    "-4": "#fdf5a1",
    "-6": "#effdbc",
    "-8": "#ccf7bb",
    "-10": "#a6eeb8",
    "-12": "#85e4bd",
    "-14": "#64d9c9",
    "-16": "#43c9d3",
    "-18": "#27b3d9",
    "-20": "#1497d7",
    "-22": "#0878cf",
    "-24": "#055ac3",
    "-26": "#0641b6",
    "-28": "#0b2ca8",
    "-30": "#191f9b",
    "-32": "#261b97",
    "-34": "#2b1b97",
    "-36": "#311c97",
    "-38": "#381d97",
    "-40": null
}

var getGradients = function(celsius) {
    // move warm colors up
    celsius -= 8
    // stay in range
    if(celsius < -30) celsius = -30;
    else if(celsius > 40) celsius = 40;
    // get anchor value
    celsius = (celsius % 2 == 1 || celsius % 2 == -1) ? celsius +1 : celsius;
    //
    return {
        header: map[celsius],
        body: map[celsius-4],
        footer: map[celsius-8]
    }
}
